/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

public class DepassementCapaciteMemoire {

  /* Fonction principale                                  */
  
  public static void main(String [] args) {
    try {
      double [][][] t10 = new double [10][10][10];  
      System.out.println("Tableau de 10*10*10 = 1000 doubles alloue"); }
    catch ( OutOfMemoryError e) {
      System.out.println("Depassement de capacite pour le tableau de 10*10*10 = 1000 doubles"); }
    try {
      double [][][] t100 = new double [100][100][100];  
      System.out.println("Tableau de 100*100*100 = 1000000 doubles alloue"); }
    catch ( OutOfMemoryError e) {
      System.out.println("Depassement de capacite pour le tableau de 100*100*100 = 1000000 doubles"); }
    try {
      double [][][] t1000 = new double [1000][1000][1000];  
      System.out.println("Tableau de 1000*1000*1000 = 1000000000 doubles alloue"); }
    catch ( OutOfMemoryError e) {
      System.out.println("Depassement de capacite pour le tableau de 1000*1000*1000 = 1000000000 doubles"); }
  }
}